<link rel="stylesheet" href="/Public/Mobile/font/iconfont.css"><!--文字图标-->
<style type="text/css">
	.msgg {
		width: 25px;
		height: 25px;
		text-align: center;
		line-height: 25px;
		background-color: #C41200;
		position: absolute;
		top: 30%;
		right: 10px;
		font-size: 15px;
		margin-top: -12.5px;
		display: inline-block;
		color: white;
		border-radius: 100%;
	}
</style>
<!--底部-->
	<nav class="mui-bar mui-bar-tab footerblin_y">
		<a class="mui-tab-item" href="/Mobile-Index/Index">
			<span class="iconfont icon-shouye"></span>
			<span class="mui-tab-label">首页</span>
		</a>
		<a href="/Mobile-GameCenter/Index" class="mui-tab-item">
			<span class="iconfont  icon-94"></span>
			<span class="mui-tab-label">游戏</span>
		</a>
		<a href="https://www.pc777888.com/wap.php"  data-href="https://www.pc777888.com/wap.php" class="mui-tab-item" id="charge">
		    <span class="iconfont  icon-chuxuqia"></span>
			<span class="mui-tab-label">快速充值</span>
		</a>
		<a id='url' href="https://f88.live800.com/live800/chatClient/chatbox.jsp?companyID=706401&configID=139703&jid=7401491209&s=1" class="mui-tab-item" >
			<span class="iconfont  icon-htmal5icon31"></span>
			<span class="mui-tab-label">客服</span>
		</a>
		<a href="javascript:;"  data-href="/Mobile-SelfCenter/Index" data-name="my" class="mui-tab-item mine" id="charges">
			<span class="iconfont  icon-iconfontwohover"></span>
			<span class="mui-tab-label">我的</span>
            <span v-if="val.data!=0"  class="msgg" id="message_cc"  v-text='val.data' style="display: none"></span>
		</a>
	</nav>

    <link rel="stylesheet" type="text/css" href="/Public/Mobile/css/prizecode.css"/>
    <script src="/Public/Mobile/js/prizecode.js"></script>

{literal}
<style>
	.mui-toast-message{
		opacity: 0.8;
	}
	a{
		color: orangered;
	}
</style>
<script>
	function foo() {
	    var my=$(this).attr('data-name');
	   var url=$(this).attr('data-href');
	   var $this=this;
//		if($(this).hasClass('active')){
//			return;
//		}
		if(my=='my'){
		    console.log(1);
            apiAjax('/Api-Account/getAccount', '', function(data) {
                console.log(data);
                if (data.status == 1) {
                    console.log(url);
                    kaiYou.User = data.data;
//                    try {
//                        initUser(); //初始化用户
//                    } catch (ex) {}
                    location.href=url;
                } else if (data.status == -4001) {
                    console.log(2);
                   // console.log(1234567);
                    $($this).removeClass('mui-active');
                    mui.confirm('你未登录，请登录', '', ['取消','确定'], function (o) {
                        if (o.index == 1) {
                            kaiYou.storage.setItem('message','');
                            location.href='/Mobile-Login/Index';

                        }
                    }, 'div');
                } else {
                    console.log(12345678);
                    $($this).removeClass('mui-active');
                    mui.confirm('登录过期', '', ['取消','确定'], function (t) {
                        if (t.index == 1) {
                            kaiYou.storage.setItem('message','');
                            location.href='/Mobile-Login/Index';
                        }
                    }, 'div');
                }
            });
		}else {
			//console.log(this.href);
            location.href=this.href;

		}
	}
    mui("nav").on('tap','nav a',foo);


 function color() {
        var colors = $('#charge span.mui-tab-label').css('color');
        if (colors == "blue") {
            $('#charge span.mui-tab-label').css('color', 'yellow');
        }
        else {
            $('#charge span.mui-tab-label').css('color', 'blue');
        }

    }
    setInterval(color, 500);



    var skjdhf=new Vue({
        el:'#charges',
        data:{
            val:[],
        }
    });

    function cde() {
        apiAjax('/Api-Other/Message', {}, function (data) {
            if(data != null){
                skjdhf.val = data;
                if (data.data != 0){
                    $('#message_cc').show();
                }
			}


        })
    }

    // cde();


//    function getMyMsg() {
//        var arr=[];
//        var type_arr=[];
//        apiAjax('/api/other/AllMessageOne',{},function (data) {
//            if(data.status==1){
//                val=data.data.data;
//                val.forEach(function (e) {
//                    if(e.hasread !='1'&& e.type != '3'){
//                        arr.push(e);
////                        console.log(1);
//                    }
//                    if(e.hasread !='1' && e.type == '3'){
//                        type_arr.push(e);
//                    }
//                });
//
//
//                if (arr.length > 0){
//                    kaiYou.storage.setItem('message',1);
//                    mui.toast('消息提醒：'+arr[0].title,{ duration:'long', type:'div' })
//					aa(arr[0].id)
////                    }, 'div');
//
//
//                }else {
//                    kaiYou.storage.setItem('message',2);
////                    console.log(1);
//                    mui.toast('系统消息：'+type_arr[0].title,{ duration:'long', type:'div' })
////                    mui.confirm(type_arr[0].content, '', ['确定'], function (o) {
////
////                    }, 'div');
//
//                }
//
//            }else {
//            }
//        })
//
//    }

//    function getMyMsgtwo() {
//        var arr=[];
//
//        apiAjax('/api/other/AllMessagetwo',{},function (data) {
//            if(data.status==1){
//                var id='';
//                $('.warning').show();
//                val=data.data.data;
//                val.forEach(function (e) {
//                    if(e.hasread !='1'){
//                        arr.push(e);
//                    }
//
//                });
//
//                //console.log(arr);
//
//                if (arr.length > 0){
//
////                    var content ="<div style='padding: 20px 80px;'>"+arr[0].content+"</div>"
//
//                    mui.toast('消息提醒：'+arr[0].content,{ duration:'long', type:'div' })
//                    aa(arr[0].id)
//
//                }
//
//
//            }
//        })
//
//    }


        if($('#baa').length > 0){
            var msgg=new Vue({
                el:'#baa',
                data:{
                    val:[],
                }
            });
		}




    function getMyMsgone() {
        var type_arr=[];
        apiAjax('/api/other/AllMessageOne',{},function (data) {
        let newdata=data.data.dataone;
        if(data.status==1){
            
                    
            
            var id='';
            $('.warning').show();
            val=data.data.dataone;
            val.forEach(function (e) {
                if(e.hasread !='1'){
                    type_arr.push(e);
                }
            });
            if(type_arr.length > 0){
                kaiYou.storage.setItem('message',2);
                for(let i of newdata){
                if (i.add_status==1) {
                    if (type_arr.length > 0){
                        mui.toast('<a href="/Mobile-other/MessageList?id='+type_arr[0].id+'">系统消息：您有管理员发送的信息,请查收',{ duration:'long(5000ms)', type:'div' })
                        }
                    }
                }
                skjdhf.val = data.data;
                if($('#baa').length > 0){
                    msgg.val = data.data
                }
                $('#message_cc').show();
                $('#message_aa').show();
            }
            

        }else {
            $('.warning').hide();
        }
    })

}





    function aa(id) {
        apiAjax('/Api-Other/MessageRed',{'id':id},function(data){
        });
    }

    function bb(id) {
        apiAjax('/Api-Other/Tmessage',{'id':id},function(data){
        });
    }



//    getMyMsg();

//    var nums=kaiYou.storage.getItem('message');
////    console.log(nums);
//    if (nums == '1'){
//        $(function () {
//            setInterval("getMyMsg()",5000);
//            setInterval(function(){
//                apiAjax('/Api-Other/Message', {}, function (data) {
//                    skjdhf.val = data;
//                })
//            },5000);
//        });
//    }else {
//        $(function () {
//            setInterval("getMyMsg()",30000);
//        });
//    }


    $(function () {
//        setInterval("getMyMsgtwo()",7000);
        //setInterval("getMyMsgone()",10000);

        //游戏名
        try{
            apiAjax('/api-GameCenter/getGamename?gamecode='+gameNames,'',function(data) {
                 if(data.status==1){
                    $('.selfSureGamename').text(data.data);
                 }
             });
        }catch(ex){}

    });


    var weQQ=new Vue({
        el:'#url',
        data:{
            qqurl:''
        }
    });

    kaiYou.storage.setItem('message','');
    $(function() {
        apiAjax('/api-other/getQQ',{},function(data) {
            weQQ.qqurl=data.data;
        });
    });
</script>
{/literal}